diff --git a/src/backend/storage/lmgr/predicate.c b/src/backend/storage/lmgr/predicate.c
index a8a0e98..1f2bf91 100644
--- a/src/backend/storage/lmgr/predicate.c
+++ b/src/backend/storage/lmgr/predicate.c
@@ -3907,6 +3907,8 @@ CheckForSerializableConflictOut(bool visible, Relation relation,
 			break;
 		case HEAPTUPLE_DELETE_IN_PROGRESS:
 			xid = HeapTupleHeaderGetUpdateXid(tuple->t_data);
+			if (!TransactionIdIsValid(xid))
+				return;
 			break;
 		case HEAPTUPLE_INSERT_IN_PROGRESS:
 			xid = HeapTupleHeaderGetXmin(tuple->t_data);
